<template>
<section>
  <h3>Followers</h3>

  <ul class="demo-list-two mdl-list">
  <li class="mdl-list__item mdl-list__item--two-line" v-for="item in userFollowers" v-bind:key="item.id">
    <span class="mdl-list__item-primary-content">
      <span><img v-bind:src="item.avatar_url" alt="avatar" style="max-width:50px; max-height:50px"> </span>
    </span>
    <span class="mdl-list__item-primary-content">
       <span class="mdl-list__item-sub-title">{{item.login}}</span>
       <!-- <span class="mdl-list__item-sub-title">{{item.repos}} Repositories</span>
      <span class="mdl-list__item-sub-title">{{item.followers}} Followers</span> -->

 
    </span>
    <span class="mdl-list__item-secondary-content">
      <span class="mdl-list__item-secondary-info">Details</span>
      <a class="mdl-list__item-secondary-action" v-bind:href="'#/user/'+item.login"><i class="material-icons">link</i></a>
    </span>
  </li>
  
</ul>
</section>
</template>

<script>
import { mapState } from "vuex";

export default {
  name: "Followers",
   computed: {
     ...mapState(["userFollowers"])
  },
  mounted:function(){
         this.getFollowers() //method will execute at pageload
  },
  methods: {
    getFollowers() {
      console.log('methods')
       this.$store.dispatch("getFollowers", this.$route.params.username);
    }
  }
};
</script>
